package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class ApproveFormParams {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "命题任务id")
    @NotNull(message = "请选择命题任务")
    @Range(min = 1L,message = "请选择命题任务")
    private Long examTaskId;

    @ApiModelProperty(value = "html")
    @NotNull(message = "请提供html")
    private String htmlContent;

    public Long getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(Long examTaskId) {
        this.examTaskId = examTaskId;
    }

    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }
}
